automake-ng
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-NG] [PATCH 04/15] [ng] tests: spy behaviour of '+=' with GNU m


From: Stefano Lattarini
Subject: [Automake-NG] [PATCH 04/15] [ng] tests: spy behaviour of '+=' with GNU make
Date: Fri, 25 May 2012 13:38:26 +0200

* t/spy-var-append.sh: New test, verify that GNU make allows the
user to append to undefined variables.

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/spy-var-append.sh |   57 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)
 create mode 100755 t/spy-var-append.sh

diff --git a/t/spy-var-append.sh b/t/spy-var-append.sh
new file mode 100755
index 0000000..b7d614f
--- /dev/null
+++ b/t/spy-var-append.sh
@@ -0,0 +1,57 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# GNU make allows us to append to undefined variables.
+# Also, if we override a variable definition from the command line,
+# any '+=' appending to it gets overridden as well.
+
+am_create_testdir=empty
+. ./defs || Exit 1
+
+cat > Makefile << 'END'
+var0 += foo
+
+var1 += bar
+var1 += baz
+
+var2 = a
+var2 += b
+
+var3 := x
+var3 += y
+
+.PHONY: test1 test2
+test1:
+       test x'$(var0)' = x'foo'
+       test x'$(var1)' = x'bar baz'
+       test x'$(var2)' = x'a b'
+       test x'$(var3)' = x'x y'
+test2:
+       test x'$(var0)' = x'mu'
+       test x'$(var1)' = x
+       test x'$(var2)' = x'two'
+       test x'$(var3)' = x'three'
+END
+
+checkit ()
+{
+  $MAKE "$@" 2>stderr && test ! -s stderr || { cat stderr >&2; Exit 1; }
+}
+
+checkit test1
+checkit test2 var0=mu var1= var2=two var3=three
+
+:
-- 
1.7.9.5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]